//
// File: General purpose parser for WinSock Client and Server
//

#include "sockutil.h"

//
// Usage - exits the program
//
int Usage()
{
    printf ("\n");  
    printf ("wsrv -? | [-v] [-p <port>] <root-dir>\n");
    printf ("     -p port-number to listen (default 80)\n");
    printf ("     -v verbose showing incoming requests\n");
    printf ("     -? this help-message\n");
    exit(1);
    return(1); // quiets the compiler
}

//
// Command line parser
//
void ParseCmdLine (int argc, char ** argv, 
                   char * szRootDir, int * piPortNumber, BOOL * pbVerbose)
{
    argc--;
    argv++;
    while (argc)
    {
        if (argv[0][0] == '-')
        {
            switch (argv[0][1])
            {
            case '?':
                Usage();
            case 'v':
                *pbVerbose = TRUE;
                break;
            case 'p':
                argc--;
                argv++;
                sscanf(argv[0], "%d", piPortNumber);
                break;
            default:
                Usage();
            }
        }
        else
        {
            strcpy(szRootDir, argv[0]);
            break;
        }
        argc--;
        argv++;
    }
    
    // if user didn't specify root
    if (strcmp (szRootDir, "") == 0)
        Usage();

    // if user specified root, but no ending slash
    if (szRootDir[strlen(szRootDir)] != '\\')
        strcat (szRootDir, "\\");

    return;
}

